{
  "name": "Red-DiscordBot: SeaCogs",
  "build": {
    "context": "..",
    "dockerfile": "Dockerfile"
  },
  "customizations": {
    "vscode": {
      "extensions": [
        "charliermarsh.ruff",
        "ms-azuretools.vscode-docker",
        "ms-python.python",
        "tekumara.typos-vscode",
        "tamasfe.even-better-toml",
        "redhat.vscode-yaml",
        "DavidAnson.vscode-markdownlint",
        "yy0931.vscode-sqlite3-editor",
        "aaron-bond.better-comments",
        "donjayamanne.githistory",
        "eamodio.gitlens"
      ]
    }
  },
  "containerEnv": {
    "DISPLAY": "dummy",
    "PYTHONUNBUFFERED": "True",
    "UV_LINK_MODE": "copy",
    "UV_PYTHON_PREFERENCE": "only-system",
    "UV_PYTHON_DOWNLOADS": "never",
    "PROJECT_DIR": "/workspaces/SeaCogs"
  },
  "mounts": ["source=seacogs-persistent-data,target=/workspaces/SeaCogs/.data,type=volume"],
  "postCreateCommand": "uv sync --frozen && sudo chown -R vscode:vscode /workspaces/SeaCogs/.data && uv run redbot-setup --no-prompt --instance-name=local --data-path=/workspaces/SeaCogs/.data --backend=json",
  "remoteUser": "vscode"
}
